Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
Halide::Runtime::Internal::Vulkan::VulkanShaderBinding Struct Reference

`#include <vulkan_resources.h>`

## Public Attributes
char * | entry_point_name = nullptr
VulkanDispatchData | dispatch_data = {}
VkDescriptorPool | descriptor_pool = VK_NULL_HANDLE
VkDescriptorSet | descriptor_set = VK_NULL_HANDLE
VkPipeline | compute_pipeline = VK_NULL_HANDLE
uint32_t | uniform_buffer_count = 0
uint32_t | storage_buffer_count = 0
uint32_t | specialization_constants_count = 0
uint32_t | shared_memory_allocations_count = 0
VulkanSpecializationConstant * | specialization_constants = nullptr
VulkanSharedMemoryAllocation * | shared_memory_allocations = nullptr
uint32_t | bindings_count = 0
MemoryRegion * | args_region = nullptr

## Detailed Description

Definition at line 43 of file vulkan_resources.h.

## Member Data Documentation

## ◆ entry_point_name

char* Halide::Runtime::Internal::Vulkan::VulkanShaderBinding::entry_point_name = nullptr

Definition at line 44 of file vulkan_resources.h.

## ◆ dispatch_data

VulkanDispatchData Halide::Runtime::Internal::Vulkan::VulkanShaderBinding::dispatch_data = {}

Definition at line 45 of file vulkan_resources.h.

## ◆ descriptor_pool

VkDescriptorPool Halide::Runtime::Internal::Vulkan::VulkanShaderBinding::descriptor_pool = VK_NULL_HANDLE

Definition at line 46 of file vulkan_resources.h.

## ◆ descriptor_set

VkDescriptorSet Halide::Runtime::Internal::Vulkan::VulkanShaderBinding::descriptor_set = VK_NULL_HANDLE

Definition at line 47 of file vulkan_resources.h.

## ◆ compute_pipeline

VkPipeline Halide::Runtime::Internal::Vulkan::VulkanShaderBinding::compute_pipeline = VK_NULL_HANDLE

Definition at line 48 of file vulkan_resources.h.

## ◆ uniform_buffer_count

uint32_t Halide::Runtime::Internal::Vulkan::VulkanShaderBinding::uniform_buffer_count = 0

Definition at line 49 of file vulkan_resources.h.

## ◆ storage_buffer_count

uint32_t Halide::Runtime::Internal::Vulkan::VulkanShaderBinding::storage_buffer_count = 0

Definition at line 50 of file vulkan_resources.h.

## ◆ specialization_constants_count

uint32_t Halide::Runtime::Internal::Vulkan::VulkanShaderBinding::specialization_constants_count = 0

Definition at line 51 of file vulkan_resources.h.

## ◆ shared_memory_allocations_count

uint32_t Halide::Runtime::Internal::Vulkan::VulkanShaderBinding::shared_memory_allocations_count = 0

Definition at line 52 of file vulkan_resources.h.

## ◆ specialization_constants

VulkanSpecializationConstant* Halide::Runtime::Internal::Vulkan::VulkanShaderBinding::specialization_constants = nullptr

Definition at line 53 of file vulkan_resources.h.

## ◆ shared_memory_allocations

VulkanSharedMemoryAllocation* Halide::Runtime::Internal::Vulkan::VulkanShaderBinding::shared_memory_allocations = nullptr

Definition at line 54 of file vulkan_resources.h.

## ◆ bindings_count

uint32_t Halide::Runtime::Internal::Vulkan::VulkanShaderBinding::bindings_count = 0

Definition at line 55 of file vulkan_resources.h.

## ◆ args_region

MemoryRegion* Halide::Runtime::Internal::Vulkan::VulkanShaderBinding::args_region = nullptr

Definition at line 56 of file vulkan_resources.h.

The documentation for this struct was generated from the following file:

- src/runtime/vulkan_resources.h